// Copyright (c) 2025 shibedrill
// SPDX-License-Identifier: GPL-3.0-or-later

#[macro_export]
macro_rules! critical_section {
    ($b:block) => {
        unsafe { $crate::arch::asm::interrupt_disable(); }
        $b
        unsafe { $crate::arch::asm::interrupt_enable(); }
    };
}
